﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CDrag : MonoBehaviour
{
	/// <summary>
	/// 3d 텍스트 오브젝트
	/// </summary>
	TextMesh m_textMeshDisplayText;

	// Use this for initialization
	void Start ()
	{
		this.m_textMeshDisplayText 
			= (GameObject.Find("DisplayText") as GameObject).GetComponent<TextMesh>();
	}

	/// <summary>
	/// 마우스 업 이벤트
	/// </summary>
	void OnMouseUp()
	{
		this.m_textMeshDisplayText.text = "드래그중이 아님";
	}

	/// <summary>
	/// 드래그 이벤트
	/// </summary>
	void OnMouseDrag()
	{
		this.m_textMeshDisplayText.text = "드래그중이다!";

		//마우스 좌표를 받아온다.
		Vector3 mousePosition 
			= new Vector3(Input.mousePosition.x, Input.mousePosition.y, 10);
		//마우스 좌표를 스크린 투 월드로 바꾸고 이 객체의 위치로 설정해 준다.
		this.transform.position = Camera.main.ScreenToWorldPoint(mousePosition);
	}
}
